{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-34.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "file-5.45-6.fc41",
        "store-results-to": "/tmp/tmp09auviux/file-5.45-6.fc41.tar.xz",
        "time-created": "2024-07-03 12:42:27",
        "time-finished": "2024-07-03 12:44:04",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmp09auviux/file-5.45-6.fc41.tar.xz' '--gcc-analyze' '/tmp/tmp09auviux/file-5.45-6.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/apprentice.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/ascmagic.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/cdf.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/compress.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/der.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/encoding.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/file.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/fmtcheck.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/funcs.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/is_csv.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/is_json.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/is_simh.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/is_tar.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/magic.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/print.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/readcdf.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/readelf.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "6f16c7ded347772a9070a0119c75caba58ff0668",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/readelf.c",
                    "line": 141,
                    "column": 33,
                    "event": "warning[-Wmaybe-uninitialized]",
                    "message": "'cap32.c_un.c_val' may be used uninitialized",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141 | #define elf_getu32(swap, value) getu32(swap, value)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                 ^~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "file-5.45-build/file-5.45/src/readelf.c",
                    "line": 1502,
                    "column": 43,
                    "event": "note",
                    "message": "'cap32' declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1502 |                                 Elf32_Cap cap32;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                           ^~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  139|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|   #define elf_getu16(swap, value) getu16(swap, value)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|-> #define elf_getu32(swap, value) getu32(swap, value)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|   #define elf_getu64(swap, value) getu64(swap, value)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  143|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "267e34ad108373e47f00c08e91ce32a3f2b3c573",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/readelf.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function 'doshn'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "file-5.45-build/file-5.45/src/readelf.c",
                    "line": 142,
                    "column": 33,
                    "event": "warning[-Wmaybe-uninitialized]",
                    "message": "'cap64.c_un.c_val' may be used uninitialized",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142 | #define elf_getu64(swap, value) getu64(swap, value)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                 ^~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "file-5.45-build/file-5.45/src/readelf.c",
                    "line": 1503,
                    "column": 43,
                    "event": "note",
                    "message": "'cap64' declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1503 |                                 Elf64_Cap cap64;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                           ^~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  140|   #define elf_getu16(swap, value) getu16(swap, value)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  141|   #define elf_getu32(swap, value) getu32(swap, value)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  142|-> #define elf_getu64(swap, value) getu64(swap, value)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  143|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  144|   #define xsh_addr\t(clazz == ELFCLASS32\t\t\t\\",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "e596dbce6c1f67b8c6b1bd0cfd688ae21cc477c1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1220,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1218|   \t}",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1219|   \tcase FILE_BESHORT:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1220|-> \t\tp->h = CAST(short, BE16(p));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1221|   \t\tif (cvt_16(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1222|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "7250f7162a7a541f77111a8aac8fe24b03419c4b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1227,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1225|   \tcase FILE_BEDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1226|   \tcase FILE_BELDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1227|-> \t\tp->l = CAST(int32_t, BE32(p));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1228|   \t\tif (cvt_32(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1229|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "b30705e00f5cb1526acfe4ea930a30e12b4d0eac",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1235,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1233|   \tcase FILE_BEQLDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1234|   \tcase FILE_BEQWDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1235|-> \t\tp->q = CAST(uint64_t, BE64(p));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1236|   \t\tif (cvt_64(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1237|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "6b3fe998f50e83eb77af9bb8f446795e00515dd9",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1240,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1238|   \t\treturn 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1239|   \tcase FILE_LESHORT:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1240|-> \t\tp->h = CAST(short, LE16(p));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1241|   \t\tif (cvt_16(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1242|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "3037d2b4f6a3c47512729ac822ab6f34a385e23a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1247,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1245|   \tcase FILE_LEDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1246|   \tcase FILE_LELDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1247|-> \t\tp->l = CAST(int32_t, LE32(p));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1248|   \t\tif (cvt_32(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1249|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "e6206eef1f55a3f59689e4cec43e43b74a7b81bb",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1255,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1253|   \tcase FILE_LEQLDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1254|   \tcase FILE_LEQWDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1255|-> \t\tp->q = CAST(uint64_t, LE64(p));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1256|   \t\tif (cvt_64(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1257|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "da4870fae23ffcb247975d6cacc041c667e12718",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1262,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1260|   \tcase FILE_MEDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1261|   \tcase FILE_MELDATE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1262|-> \t\tp->l = CAST(int32_t, ME32(p));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1263|   \t\tif (cvt_32(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1264|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "bca1c8d1dd8a79e8c719b25731f55c190df64f72",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1271,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1269|   \t\treturn 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1270|   \tcase FILE_BEFLOAT:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1271|-> \t\tp->l = BE32(p);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1272|   \t\tif (cvt_float(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1273|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "00a6b0a3174ae72d5b97c07c762a3d787ba37a32",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1276,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1274|   \t\treturn 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1275|   \tcase FILE_LEFLOAT:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1276|-> \t\tp->l = LE32(p);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1277|   \t\tif (cvt_float(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1278|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "fed4e342effbf985ca4ab6cb9ff8c5fac4659549",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1285,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1283|   \t\treturn 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1284|   \tcase FILE_BEDOUBLE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1285|-> \t\tp->q = BE64(p);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1286|   \t\tif (cvt_double(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1287|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 758,
            "language": "c/c++",
            "tool": "cppcheck",
            "hash_v1": "43c0cd39eb93c8ab58ac3abe6f4ffa70d7edb5e0",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "file-5.45-build/file-5.45/src/softmagic.c",
                    "line": 1290,
                    "event": "error[overlappingWriteUnion]",
                    "message": "Overlapping read/write of union is undefined behavior",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1288|   \t\treturn 1;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1289|   \tcase FILE_LEDOUBLE:",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1290|-> \t\tp->q = LE64(p);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1291|   \t\tif (cvt_double(p, m) == -1)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1292|   \t\t\tgoto out;",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
